Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class DirectoryServiceAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.DirectoryServiceAdmin

    public class DirectoryServiceAdmin

extends java.lang.Object

The `DirectoryServiceAdmin` class. This class provides static interfaces for performing Directory Service administrative tasks. Some of the interfaces here are supported only for DM's Directory service database.

Field Summary
`protected AdminManager` | `m_Main`

Constructor Summary
`DirectoryServiceAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`boolean` | `checkUserExists(LibrarySession sess, java.lang.String credentialManagerName, java.lang.String distinguishedName)` check for existence of a user
`protected void` | `createUser(LibrarySession sess, ParameterTable params)` Section variant of Create User
`java.lang.String` | `createUser(LibrarySession sess, java.lang.String credentialManagerName, java.lang.String distinguishedName, java.lang.String password)` inline variant of Create User Creates a new user entry in the underlying Directory Service.
`protected void` | `deleteUser(LibrarySession sess, ParameterTable params)` Section variant of Create User
`void` | `deleteUser(LibrarySession sess, java.lang.String credentialManagerName, java.lang.String distinguishedName)` inline variant of Delete User Deletes a user entry from the underlying Directory Service.
`java.util.Vector` | `listAllUserObjects(LibrarySession sess, java.lang.String credentialManagerName)` Lists all Distinguished names in the underlying Directory Service.
`protected void` | `showUser(LibrarySession sess, ParameterTable params)` Section variant of showUser
`void` | `showUser(LibrarySession sess, java.lang.String credentialManagerName, java.lang.String distinguishedName)` inline variant of showUser Check to see if user exists in underlying directory store.
`protected void` | `showUsers(LibrarySession sess, ParameterTable params)` Section variant of showUsers
`void` | `showUsers(LibrarySession sess, java.lang.String credentialManagerName)` Lists all Distinguished names in the underlying Directory Service.
`protected void` | `updatePassword(LibrarySession sess, ParameterTable params)` Section variant of UpdatePassword User
`void` | `updatePassword(LibrarySession sess, java.lang.String credentialManagerName, java.lang.String distinguishedName, java.lang.String password)` inline variant of UpdatePassword Updates a new user password entry in the underlying Directory Service.
`void` | `verifyUserExists(LibrarySession sess, java.lang.String credentialManager, java.lang.String distinguishedName)` verify user exists; else throw an exception

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

Constructor Detail

### DirectoryServiceAdmin

    public DirectoryServiceAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createUser

    protected void createUser(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Section variant of Create User

  Throws:
    `IfsException`

### createUser

    public java.lang.String createUser(LibrarySession sess,
                                       java.lang.String credentialManagerName,
                                       java.lang.String distinguishedName,
                                       java.lang.String password)
                                throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  inline variant of Create User Creates a new user entry in the underlying Directory Service.

  Parameters:
    `sess` - current session
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - new user's logon
    `password` - new user's password
  Returns:
    the distinguished name
  Throws:
    `IfsException` - if operation fails.
  (Published)

### deleteUser

    protected void deleteUser(LibrarySession sess,
                              ParameterTable params)
                       throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Section variant of Create User

  Throws:
    `IfsException`

### deleteUser

    public void deleteUser(LibrarySession sess,
                           java.lang.String credentialManagerName,
                           java.lang.String distinguishedName)
                    throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  inline variant of Delete User Deletes a user entry from the underlying Directory Service.

  Parameters:
    `sess` - current session
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - new user's logon
  Throws:
    `IfsException` - if operation fails.
  (Published)

### updatePassword

    protected void updatePassword(LibrarySession sess,
                                  ParameterTable params)
                           throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Section variant of UpdatePassword User

  Throws:
    `IfsException`

### updatePassword

    public void updatePassword(LibrarySession sess,
                               java.lang.String credentialManagerName,
                               java.lang.String distinguishedName,
                               java.lang.String password)
                        throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  inline variant of UpdatePassword Updates a new user password entry in the underlying Directory Service.

  Parameters:
    `sess` - current session
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - new user's logon
    `password` - new user's password
  Throws:
    `IfsException` - if operation fails.
  (Published)

### showUser

    protected void showUser(LibrarySession sess,
                            ParameterTable params)
                     throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Section variant of showUser

  Throws:
    `IfsException`

### showUser

    public void showUser(LibrarySession sess,
                         java.lang.String credentialManagerName,
                         java.lang.String distinguishedName)
                  throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  inline variant of showUser Check to see if user exists in underlying directory store. If not, throw an exception; otherwise, show information about this user that is accessible from DS - currently, this is only the user name itself.

  Parameters:
    `sess` - current session
    `credentialManagerName` - the name of the CredentialManager
    `distinguishedName` - new user's logon
  Throws:
    `IfsException` - if operation fails.
  (Published)

### checkUserExists

    public boolean checkUserExists(LibrarySession sess,
                                   java.lang.String credentialManagerName,
                                   java.lang.String distinguishedName)
                            throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  check for existence of a user

  Throws:
    `IfsException`

### verifyUserExists

    public void verifyUserExists(LibrarySession sess,
                                 java.lang.String credentialManager,
                                 java.lang.String distinguishedName)
                          throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  verify user exists; else throw an exception

  Throws:
    `IfsException`

### showUsers

    protected void showUsers(LibrarySession sess,
                             ParameterTable params)
                      throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Section variant of showUsers

  Throws:
    `IfsException`

### showUsers

    public void showUsers(LibrarySession sess,
                          java.lang.String credentialManagerName)
                   throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Lists all Distinguished names in the underlying Directory Service.

  Parameters:
    `sess` - current session
    `credentialManagerName` - the credential manager name
  Throws:
    `IfsException` - if operation fails.
  (Published)

### listAllUserObjects

    public java.util.Vector listAllUserObjects(LibrarySession sess,
                                               java.lang.String credentialManagerName)
                                        throws IfsException

  Description copied from class: `DirectoryServiceAdmin`
  Lists all Distinguished names in the underlying Directory Service.

  Parameters:
    `sess` - current session
    `credentialManagerName` - current session
  Returns:
    Vector of Strings, corresponding to Distinguished names of all users.
  Throws:
    `IfsException` - if operation fails.
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD